<?php
// [ 应用入口文件 ]
namespace think;
define('v', 0);

if(version_compare(PHP_VERSION,"7.4",'<')) {
	exit('require PHP >=7.4!');	
	
}
//echo  __DIR__ . '/../../../vendor/autoload.php';
define('pubkey', "a344GE2zC/wi7YYI9ho6iVgR/u5arMSPwTWDXpQUKFycaqQbuL7ROhgS93Fpvi+Ukzzil7A2NOaS");
$INSTALL_PATH = str_replace('\\','/',dirname($_SERVER['SCRIPT_NAME']));
if($INSTALL_PATH==="/"){
    $INSTALL_PATH="/";		
}else{
    $INSTALL_PATH= '/'. trim($INSTALL_PATH,'/').'/';
}
define('PLUGIN_PATH', __DIR__ . '/plugin/');
define('version', '1.1');
define('TEM_NAME',"html");
define('APP_DEBUG',true);
define('INSTALL_PATH',$INSTALL_PATH);
define('TEMPLATE_PATH',$INSTALL_PATH.TEM_NAME."/");

define('ROOT_PATH', $_SERVER['DOCUMENT_ROOT'].$INSTALL_PATH);

define('TPL_PATH', $_SERVER['DOCUMENT_ROOT'].$INSTALL_PATH.TEM_NAME."\\");
if(!is_file('config/database.php')){
	header('Location: '.$INSTALL_PATH.'install.php');
	exit;
}
// 加载框架基础引导文件
require __DIR__ . '/thinkphp/base.php';

// 支持事先使用静态方法设置Request对象和Config对象

// 执行应用并响应
Container::get('app')->run()->send();
